Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: atrpms: users

Fwd: kmdl Build Question

 

 

atrpms users RSS feed   Index | Next | Previous | View Threaded


boblfoot at gmail

Jul 20, 2012, 1:51 PM

Post #1 of 2 (353 views)
Permalink
Fwd: kmdl Build Question

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This may have been discussed in the past so pardon the repeat if it
has. I know Axel is a wonderful one man show and will eventually have
time to build and release the video4linux-kmdl,
nvidia-graphics295.20-kmdl and lirc-kmdl modules I use on my mythtv
system. In the meantime I am running the 279 kernel despite 279.1.1
and 279.2.1 having been released.

My question is this?

Should I wish to play and learn is it possible to get the src.rpm for
these moudules and on a system running the 279 kernel build modules
for 279.1.1 or 279.2.1 or do I need the target kernel in a vm and
build the modules on it?

Bob Lightfoot
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJQCcTNAAoJEKqgpLIhfz3XM6AH/1895Ni4p+KJkTFZapgPQel8
xScTyHE/MoHtWA8h+vJrdjqSMCH3IaQSHEOezvXLx5YY/hW+YnlfP5LJe6jGJrwO
ZkxP6Lal7Nqkm/2Stl0kTfKvkew40LywfkRq0MVqHqjZCgsKpCTpOZ6kEklfbwtK
Pg2kkibuCPDXRT9VplpqdyEZ0Dxff0o0yrwP/aXnGJtut2QIHYDxgSw2dxDfIV8H
RQVqKWkRrupyIhDy/psr0CBkfdAfxre6QwUxTr7uakHseeCZPMWZ+920CyIj6Slg
YpM3QCo1Qbg8P9psWME/PAgUA54YYmlGbRoDWVrD1sXs2uKMSxejBofVXtGG4vg=
=C1U3
-----END PGP SIGNATURE-----

_______________________________________________
atrpms-users mailing list
atrpms-users [at] atrpms
http://lists.atrpms.net/mailman/listinfo/atrpms-users


promac at gmail

Jul 20, 2012, 2:37 PM

Post #2 of 2 (328 views)
Permalink
Re: Fwd: kmdl Build Question [In reply to]

On Fri, Jul 20, 2012 at 5:51 PM, Bob Lightfoot <boblfoot [at] gmail> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> This may have been discussed in the past so pardon the repeat if it
> has. I know Axel is a wonderful one man show and will eventually have
> time to build and release the video4linux-kmdl,
> nvidia-graphics295.20-kmdl and lirc-kmdl modules I use on my mythtv
> system. In the meantime I am running the 279 kernel despite 279.1.1
> and 279.2.1 having been released.
>
> My question is this?
>
> Should I wish to play and learn is it possible to get the src.rpm for
> these moudules and on a system running the 279 kernel build modules
> for 279.1.1 or 279.2.1 or do I need the target kernel in a vm and
> build the modules on it?
>
>

Yes, you can build modules for kernels you are not running.
The only thing you need is the kernel-devel of the appropriate version
installed for building the module for that kernel.

nvidia is a little more complicated but the other two are easy:

http://people.atrpms.net/~pcavalcanti/LCG_kernel_modules.html

--
Paulo Roma Cavalcanti
LCG - UFRJ

atrpms users RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.